<link rel="stylesheet" href="style.css">

<script src="jquery.js"></script>
<script src="https://cdn.jsdelivr.net/npm/interactjs/dist/interact.min.js"></script>

<div class="example-parent">
    <div class="col-sm-6" style="width: 20%;">
      <div class="example-origin">
        <h3 style="text-align: center;">Components</h3>
        <div id="title-draggable" class="example-draggable" draggable="true" ondragstart="onDragStart(event);">Title</div>
        <div id="label-draggable" class="example-draggable" draggable="true" ondragstart="onDragStart(event);">Label</div>
        <div id="input-draggable" class="example-draggable" draggable="true" ondragstart="onDragStart(event);">Input</div>
        <div id="button-draggable" class="example-draggable" draggable="true" ondragstart="onDragStart(event);">Button</div>
        <div id="table-draggable" class="example-draggable" draggable="true" ondragstart="onDragStart(event);">Table</div>
        <div class="table" id="mtable">
        </div>
      </div>
      <button class="button" id="exportButton" onclick="exportHtmlpage()" style="margin-left: 10px;">Export</button>
    </div>
    <div class="example-dropzone center" ondragover="onDragOver(event);" ondrop="onDrop(event);" id="dropzone" style="border-style: dashed; width: 1100px; height: 400px;">
      <h2 id="text">Drag And Drop Here</h2>
    </div>
    <div>
      <html>
        <body id="demoBody">

        </body>
      </html>
    </div>
</div>

<script src="drag_and_drop.js"></script>

<script src='add_remove_row_col_table.js' ></script>

<script src="interact.js"></script>

<script>
  function exportHtmlpage(){
    let htmlBodyData = document.getElementById('dropzone').innerHTML
    //let a = $('#htmlBody').append(x)
    //console.log(a)
    let html = '<html>'
                  +'<head>'
                    +'<title></title>'
                  +'</head>'
                  +'<body>'+htmlBodyData+'</body>'
                +'</html>'

    //this is only for testing
    $('#demoBody').append(htmlBodyData)
  }
</script>